// Copyright 1999 (c) by Perforce Software, Inc.  All rights reserved.
//
// p4wChangesPane:
//   The changes pane.

#ifndef p4wChangesPane_H
#define p4wChangesPane_H


//
// Includes
#include "p4wPane.h"


//
// External classes
class StrDict;


//
// p4wChangesPane class
class p4wChangesPane : public p4wPane {

public:
	//
	// Constructors and destructor.
				p4wChangesPane(p4wView & ParentView, p4wRequest & Request, int onlyMyChanges);
	virtual			~p4wChangesPane();

	//
	// Render functions.
	virtual	void		Begin();
	virtual	void		Render(StrDict * varList);
	virtual void		RenderError(char *error, int escapeHTML);
	virtual	void		End();

protected:
	//
	// Protected state variables.
	int			  fOnlyMyChanges;
	int			  fRowCtr;
	const StrPtr *jb;
		
};

#endif // p4wChangesPane_H
